Users
Generated on 18 Mar 2026
https://api.paperspace.com/v1
GET List team members
/teams/{teamId}/users
Authorizations:
BearerAuth
An API key or access token
List team members
Path Parameters
teamId
required
The team's ID
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtConfirmedorder
optional
The order to sort the results by.
Default:descrole
optional
Filter team members by their role on the team.
Request: /teams/{teamId}/users
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/teams/{teamId}/users"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtConfirmed
optional Nullable
The date the user confirmed their membership
isAdmin
required
Whether the user is an admin of the team
isOwner
required
Whether the user is the owner of the team
user
required
Show child properties
email
required
The email address of the user
firstName
optional Nullable
The first name of the user
id
required
The ID of the user
lastActive
optional Nullable
The date the user was last active.
lastName
optional Nullable
The last name of the user
publicProfileImageUrl
optional Nullable
The URL of the team's profile image.
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"dtConfirmed": "2019-08-24T14:15:22Z",
"isAdmin": true,
"isOwner": true
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}PUT Update a team membership
/teams/{teamId}/users/{userId}
Authorizations:
BearerAuth
An API key or access token
Update a team membership
Path Parameters
teamId
required
The team's ID
userId
required
The user's ID
Request Body: application/json
isAdmin
required
Whether the user will gain admin access or not
Request: /teams/{teamId}/users/{userId}
{
"isAdmin": true
}curl -X PUT \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"isAdmin": true
}' \
"https://api.paperspace.com/v1/teams/{teamId}/users/{userId}"Responses
200
Successful response
application/json
dtConfirmed
optional Nullable
The date the user confirmed their membership
dtDeleted
optional Nullable
The date the user was removed from the team
isAdmin
required
Whether the user is an admin of the team
isOwner
required
Whether the user is the owner of the team
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtConfirmed": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"isAdmin": true,
"isOwner": true
}{
"code": "string",
"message": "string"
}DELETE Remove a user from a team
/teams/{teamId}/users/{userId}
Authorizations:
BearerAuth
An API key or access token
Remove a user from a team
Path Parameters
teamId
required
The team's ID
userId
required
The user's ID
Request: /teams/{teamId}/users/{userId}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/teams/{teamId}/users/{userId}"Responses
200
Successful response
application/json
dtConfirmed
optional Nullable
The date the user confirmed their membership
dtDeleted
optional Nullable
The date the user was removed from the team
isAdmin
required
Whether the user is an admin of the team
isOwner
required
Whether the user is the owner of the team
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtConfirmed": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"isAdmin": true,
"isOwner": true
}{
"code": "string",
"message": "string"
}